<?php

/**
 * @file
 * Views file.
 */

/**
 * Implements hook_views_data().
 */
function link_click_count_views_data() {
  $data = array();
  $data['link_click_count']['table'] = array();
  $data['link_click_count']['table']['group'] = t('Link Click Count');
  $data['link_click_count']['table']['provider'] = 'link_click_count';
  $data['link_click_count']['table']['base'] = array(
    'field' => 'nid',
    'title' => t('Link count'),
    'help' => t('This table is containing the data about count view of node.'),
    'weight' => -10,
  );


  /*$data['link_click_count']['table']['join'] = array(
    'node' => array(
      'handler' => 'views_join',
      'left_table' => 'node',
      'left_field' => 'nid',
      'field' => 'nid',
    ),
  );*/
  $data['link_click_count']['table']['join'] = array(
    'node_field_data' => array(
      'left_field' => 'nid',
      'field' => 'nid',
      'extra' => array(
        0 => array(
          'field' => 'published',
          'value' => TRUE,
        ),
        1 => array(
          'left_field' => 'numeric_field',
          'value' => 1,
          'numeric' => TRUE,
        ),
        2 => array(
          'field' => 'published',
          'left_field' => 'boolean_field',
          'operator' => '!=',
        ),
      ),
    ),
  );


  /*$data['link_click_count']['nid'] = array(
    'title' => t('Link Node id'),
    'help' => t('Link Node id.'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );*/
  $data['link_click_count']['nid'] = array(
    'title' => t('Link Node id'),
    'help' => t('Link Node id.'),
    'relationship' => array(
      'base' => 'node',
      'base field' => 'nid',
      'id' => 'standard',
      'label' => t('Link Node id.. node..!'),
    ),
  );


  /*$data['link_click_count']['url'] = array(
    'title' => t('Link url'),
    'help' => t('url.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_field',
    ),
    'sort' => array(
      'handler' => 'views_handler_field',
    ),
    'argument' => array(
      'handler' => 'views_handler_field',
    ),
  );*/
  $data['link_click_count']['url'] = array(
    'title' => t('Link url'),
    'help' => t('url.'),
    'field' => array(
      'id' => 'standard',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'string',
    ),
    'argument' => array(
      'id' => 'string',
    ),
  );



  /*$data['link_click_count']['date'] = array(
    'title' => t('Link click date'),
    'help' => t('When user view of date.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_date',
        'empty field name' => t('Undated'),
      ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
  );*/
  $data['link_click_count']['date'] = array(
    'title' => t('Link click date'),
    'help' => t('When user view of date.'),
    'field' => array(
      'id' => 'date',
    ),
    'sort' => array(
      'id' => 'date',
    ),
    'filter' => array(
      'id' => 'date',
    ),
  );

  return $data;
}
