<?php

/**
 * @file
 * Contains \Drupal\link_click_count\Controller\LinkClickCountController.
 */

namespace Drupal\link_click_count\Controller;

use Drupal\Component\Utility\UrlHelper;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Drupal\Core\Routing\TrustedRedirectResponse;

/**
 * Default controller for the link_click_count module.
 */
class LinkClickCountController extends ControllerBase {

  public function link_click_count_callback() {
    drupal_flush_all_caches();
    db_insert('link_click_count')->fields([
      'url' => $_GET["url"],
      'nid' => $_GET["nid"],
      'uid' => \Drupal::currentUser()->id(),
      'date' => time(),
    ])->execute();
    $isExternal = UrlHelper::isExternal($_GET["url"]);
    if($isExternal) {
      return new TrustedRedirectResponse($_GET['url']);
    }
    else {
      drupal_flush_all_caches();
      return new RedirectResponse($_GET['url']);
    }
  }

}
